Subject: Re: draft-ietf-dnsext-axfr-clarify-05.txt

From: [email-masked]
Date: Thu, 05 Dec 2002 11:24:26 +1100

> </chair>
> <uncloak> 
> 
> <surprise>
> confession, other than djb, i have been the other wg member not in
> consensus on this document.
> 
> as i said in yokohama, i was the one personally uncomfortable with
> the axfr document mandating the zone content being maintained
> exactly as served by the primary.  i did not see why it was
> *necessary* for this to be done, and was hesitant as djb claimed
> his implementation would be adversely affected.
> </surprise>
> 
> yes dan, i was the one holding up progress of this document.
> 
> i have recently become convinced that the primary's zone content on
> axfrs needs to be preserved purely so that subsequent ixfrs may be
> applied.

	Randy, while I'm glad that you agree that the zone contents
	need to be preserved, this sounds like you discount the
	need to fix the operational problems caused as the result
	replacing data in the zone with that from another source.

	This is *not* just a IXFR problem.  It causes problems with
	servers that don't support IXFR.  I would hate to see a
	implementor say "I don't need to do this because I don't
	support IXFR".

	See <[email-masked]> for
	a detailed example of a non IXFR related problem that is
	fixed by preserving the zones contents.
 
	Mark

> randy
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
--
Mark Andrews, Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: "D. J. Bernstein" <[email-masked]>
Date: 5 Dec 2002 05:11:52 -0000

[ post by non-subscriber.  with the massive amount of spam, it is easy to miss
  and therefore delete posts by non-subscribers.  your subscription address is
  [email-masked], please post from it or, if you
  wish to regularly post from an address that is not subscribed to this
  mailing list, send a message to [email-masked] and ask to
  have the alternate address added to the list of addresses from which
  submissions are automatically accepted. ]

> yes dan, i was the one holding up progress of this document.

It's always interesting to see a glimpse into the mind of Bush:

   * Bush can make these decisions singlehandedly. After all, Bush is
     more important than anyone else!

   * Consensus is, by definition, whatever Bush is thinking. Remember,
     Bush is more important than anyone else!

   * Bush doesn't need to actually _defend_ his opinions; he can simply
     state them. Remember, Bush is more important than anyone else!

Most importantly, all of this is The Way Things Ought To Be, because
there's nothing in the IETF procedures prohibiting it.

---D. J. Bernstein, Associate Professor, Department of Mathematics,
Statistics, and Computer Science, University of Illinois at Chicago

---

From: Greg Black <[email-masked]>
Date: Thu, 05 Dec 2002 17:37:50 +1000

"D. J. Bernstein" wrote:

| [ post by non-subscriber. [...]

Perhaps that should be "post by deliberately stupid subscriber".

| It's always interesting to see a glimpse into the mind of Bush:

Perhaps.  But it's certainly become utterly uninteresting to see
any more into the mind of Bernstein.  For years I have said that
one should not make decisions about the software one deploys
based on one's perceptions of the personality of its author; and
I have said that it's good to have multiple implementations of
important infrastructure software.  And, as part of putting my
metaphorical money where my mouth is, I have used Bernstein's
qmail and djbdns utilities.

This latest sorry saga of bullying, name-calling, arrogance and
bloody-mindedness on the namedroppers list has caused me to have
another think about this.  I really don't want to get caught up
in some backwater with Bernstein's software because he can't get
his head around the simple process of co-operative development
of standards.  I've never liked BIND, and I still don't like it,
but I'm going to learn how to set it up (it's changed quite a
lot from v4, which is what was current when I last used it); and
I will probably learn how to install postfix in place of qmail
(although that will also mean that I'll have to move all my
mailing lists away from Bernstein's ezmlm, which will take some
time and effort).

The upside is that I will now be able to filter all Bernstein's
messages from my mailbox so that I never again will need to see
his ranting.  And I'll then be able to stomach this list.  So
it's not all bad.  In fact, what would be really nice would be
to see everybody just stop responding to Bernstein, so that
those of us who filter him out won't have to see the responses
to him either ...

Greg